NativeIO.Stat (Hadoop 0.20.2+737 API)
Date: 2010-10-11

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.io.nativeio
Class NativeIO.Stat

    java.lang.Object
      org.apache.hadoop.io.nativeio.NativeIO.Stat

Enclosing class:
  NativeIO

    public static class NativeIO.Stat

extends Object

Result type of the fstat call

Field Summary
`static int` | `S_IFBLK`
`static int` | `S_IFCHR`
`static int` | `S_IFDIR`
`static int` | `S_IFIFO`
`static int` | `S_IFLNK`
`static int` | `S_IFMT`
`static int` | `S_IFREG`
`static int` | `S_IFSOCK`
`static int` | `S_IFWHT`
`static int` | `S_IRUSR`
`static int` | `S_ISGID`
`static int` | `S_ISUID`
`static int` | `S_ISVTX`
`static int` | `S_IWUSR`
`static int` | `S_IXUSR`

Method Summary
`String` | `getGroup()`
`int` | `getMode()`
`String` | `getOwner()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### S_IFMT

    public static final int S_IFMT

See Also:
  Constant Field Values

### S_IFIFO

    public static final int S_IFIFO

See Also:
  Constant Field Values

### S_IFCHR

    public static final int S_IFCHR

See Also:
  Constant Field Values

### S_IFDIR

    public static final int S_IFDIR

See Also:
  Constant Field Values

### S_IFBLK

    public static final int S_IFBLK

See Also:
  Constant Field Values

### S_IFREG

    public static final int S_IFREG

See Also:
  Constant Field Values

### S_IFLNK

    public static final int S_IFLNK

See Also:
  Constant Field Values

### S_IFSOCK

    public static final int S_IFSOCK

See Also:
  Constant Field Values

### S_IFWHT

    public static final int S_IFWHT

See Also:
  Constant Field Values

### S_ISUID

    public static final int S_ISUID

See Also:
  Constant Field Values

### S_ISGID

    public static final int S_ISGID

See Also:
  Constant Field Values

### S_ISVTX

    public static final int S_ISVTX

See Also:
  Constant Field Values

### S_IRUSR

    public static final int S_IRUSR

See Also:
  Constant Field Values

### S_IWUSR

    public static final int S_IWUSR

See Also:
  Constant Field Values

### S_IXUSR

    public static final int S_IXUSR

See Also:
  Constant Field Values

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getOwner

    public String getOwner()

### getGroup

    public String getGroup()

### getMode

    public int getMode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation